
#include <SoftwareSerial.h>
#include "shieldA_lib.h"


//-----------------------------------------------------------------------------
// SETUP ----------------------------------------------------------------------
//-----------------------------------------------------------------------------

void setup() {
  mySerial.begin(115200);
  mySerial.println("");
  
  cmd_setup();                     //set-up shield GPIO
  cmd_power();                     //power on
  
  debug_print( "MAIN:", LEVEL_INFO );
}


//-----------------------------------------------------------------------------
// LOOP -----------------------------------------------------------------------
//-----------------------------------------------------------------------------

void loop() {
  if (mySerial.available()) {
    char myChar = (char)mySerial.read();
    Serial.print(myChar);
  }
}

void serialEvent() {
  while (Serial.available()) {
    char inChar = (char)Serial.read();
    mySerial.print(inChar);
  }
}

